import 'package:draft_flutter/draft/draft_objects.dart';
import 'package:draft_flutter/draft_flutter.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

import 'test_data.dart';

void main() {
  group("Test Widget", () {
    testWidgets("Render text", (tester) async {
      await tester.pumpWidget(
        MaterialApp(
          home: Material(
            child: DraftView(
              rawContentState: testData2,
            ),
          ),
        ),
      );
      expect(
          find.byWidgetPredicate((Widget widget) =>
              widget is RichText &&
              widget.text.toPlainText().contains("目前这一篇文章还只是测试")),
          findsOneWidget);
    });
  });
}
